| public static final String | EXPIRATION_CACHE | Property to set the expiration time in seconds for this
response using the setProperty method.
If the expiration value is set to 0, caching is disabled
for this portlet; if the value is set to -1,
the cache does not expire.
The value is "portlet.expiration-cache". |
| Method from javax.portlet.RenderResponse Detail: |
public PortletURL createActionURL()
Creates a portlet URL targeting the portlet. If no portlet mode,
window state or security modifier is set in the PortletURL the
current values are preserved. If a request is triggered by the
PortletURL, it results in an action request.
The returned URL can be further extended by adding
portlet-specific parameters and portlet modes and window states.
The created URL will per default not contain any parameters
of the current render request. |
public PortletURL createRenderURL()
Creates a portlet URL targeting the portlet. If no portlet mode,
window state or security modifier is set in the PortletURL the
current values are preserved. If a request is triggered by the
PortletURL, it results in a render request.
The returned URL can be further extended by adding
portlet-specific parameters and portlet modes and window states.
The created URL will per default not contain any parameters
of the current render request. |
public void flushBuffer() throws IOException
Forces any content in the buffer to be written to the client. A call
to this method automatically commits the response. |
public int getBufferSize()
Returns the actual buffer size used for the response. If no buffering
is used, this method returns 0. |
public String getCharacterEncoding()
|
public String getContentType()
Returns the MIME type that can be used to contribute
markup to the render response.
If no content type was set previously using the #setContentType method
this method retuns null. |
public Locale getLocale()
Returns the locale assigned to the response. |
public String getNamespace()
The value returned by this method should be prefixed or appended to
elements, such as JavaScript variables or function names, to ensure
they are unique in the context of the portal page. |
public OutputStream getPortletOutputStream() throws IOException
Returns a OutputStream suitable for writing binary
data in the response. The portlet container does not encode the
binary data.
Before calling this method the content type of the
render response must be set using the #setContentType
method.
Calling flush() on the OutputStream commits the response.
Either this method or #getWriter may be called to write the body, not both. |
public PrintWriter getWriter() throws IOException
Returns a PrintWriter object that can send character
text to the portal.
Before calling this method the content type of the
render response must be set using the #setContentType
method.
Either this method or #getPortletOutputStream may be
called to write the body, not both. |
public boolean isCommitted()
Returns a boolean indicating if the response has been
committed. |
public void reset()
Clears any data that exists in the buffer as well as the properties set.
If the response has been committed, this method throws an
IllegalStateException. |
public void resetBuffer()
Clears the content of the underlying buffer in the response without
clearing properties set. If the response has been committed,
this method throws an IllegalStateException. |
public void setBufferSize(int size)
Sets the preferred buffer size for the body of the response.
The portlet container will use a buffer at least as large as
the size requested.
This method must be called before any response body content is
written; if content has been written, or the portlet container
does not support buffering, this method may throw an
IllegalStateException. |
public void setContentType(String type)
Sets the MIME type for the render response. The portlet must
set the content type before calling #getWriter or
#getPortletOutputStream .
Calling setContentType after getWriter
or getOutputStream does not change the content type. |
public void setTitle(String title)
This method sets the title of the portlet.
The value can be a text String |